Summary:	An enhanced version of csh, the C shell
Name:		tcsh
Version:	6.19.00
Release:	%mkrel 5
License:	BSD
Group:		Shells
URL:		http://www.tcsh.org/
Source:		ftp://ftp.astron.com/pub/%{name}/%{name}-%{version}.tar.gz

Source1:	alias.csh
# patches from fedora
Patch1:		tcsh-6.15.00-closem.patch
Patch13:	tcsh-6.14.00-unprintable.patch
Patch14:	tcsh-6.15.00-hist-sub.patch
Patch34:	tcsh-6.19.00-fix-out-of-bounds-read.patch

# our patches
Patch106:	tcsh-6.10.00-glibc_compat.patch
# handle new DIR_COLORS codes, fixes #40532, #48284 (partly merged)
Patch107:	tcsh-6.17.00-ls-colors-var.patch
# (cjw) fix glibc deprecation warnings locally
Patch108:	tcsh-6.19.00-compiler-warnings.patch
# (cjw) fix memory allocation with gcc 5
Patch109:	gcc-6.19.00-gcc5.patch

BuildRequires:	pkgconfig(tinfo)
BuildRequires:  groff-for-man
Requires(post):	rpm-helper >= 0.7
Requires(postun): rpm-helper >= 0.7
Provides:	csh = %{version}
Provides:	/bin/csh /usr/bin/csh

%description
Tcsh is an enhanced but completely compatible version of csh, the C
shell. Tcsh is a command language interpreter which can be used both
as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion,
spelling correction, a history mechanism, job control and a C language
like syntax.


%prep
%setup -q
%patch1 -p0
#patch13 -p1 -b .unprintable
%patch14 -p1 -b .delimiters
%patch34 -p1 -b .oob-read

%patch106 -p0
%patch107 -p1 -b .colors
%patch108 -p1 -b .deprecated
%patch109 -p1 -b .gcc5

%build
%configure2_5x --bindir=/bin --without-hesiod
%make
nroff -me eight-bit.me > eight-bit.txt

%install
install -D tcsh %{buildroot}/bin/tcsh
install -D tcsh.man %{buildroot}%{_mandir}/man1/tcsh.1

ln -s tcsh.1 %{buildroot}%{_mandir}/man1/csh.1
ln -sf tcsh %{buildroot}/bin/csh

install -D %{SOURCE1} %{buildroot}/etc/profile.d/$(basename %{SOURCE1})

%post
%_add_shell_helper %{name} $1 /bin/csh
%_add_shell_helper %{name} $1 /bin/tcsh

%postun
%_del_shell_helper %{name} $1 /bin/csh
%_del_shell_helper %{name} $1 /bin/tcsh

%files
%defattr(644,root,root,755)
%doc NewThings FAQ Fixes eight-bit.txt complete.tcsh
%doc Ported README* WishList Y2K
%config(noreplace) %{_sysconfdir}/profile.d/*
%attr(755,root,root) /bin/*
%{_mandir}/*/*


%changelog
* Tue Dec 06 2016 luigiwalser <luigiwalser> 6.19.00-5.mga6
+ Revision: 1072828
- add upstream patch via fedora to fix out-of-bounds read when pressing tab key

* Fri Feb 12 2016 umeabot <umeabot> 6.19.00-4.mga6
+ Revision: 958986
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 blino <blino> 6.19.00-3.mga6
+ Revision: 891702
- do not strip, to fix empty debuginfo

* Fri Aug 21 2015 cjw <cjw> 6.19.00-2.mga6
+ Revision: 867160
- patch109: prevent a gcc 5 optimization from making tcsh's calloc call itself

* Sun Jul 12 2015 cjw <cjw> 6.19.00-1.mga6
+ Revision: 853411
- 6.19.00
- drop patch12 and patch108, not needed anymore
- fix deprecation warnings on _BSD_SOURCE and _SVID_SOURCE (so build log can be checked for other warnings)

* Wed Oct 15 2014 umeabot <umeabot> 6.18.01-8.mga5
+ Revision: 747343
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 tmb <tmb> 6.18.01-7.mga5
+ Revision: 693115
- temporarily provide /bin/csh to unbreak BS

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 6.18.01-5.mga4
+ Revision: 539985
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 colin <colin> 6.18.01-4.mga4
+ Revision: 493111
- Rebuild against ncurse's libtinfo rather than libtermcap

* Thu Aug 22 2013 luigiwalser <luigiwalser> 6.18.01-3.mga4
+ Revision: 469221
- add patch from mancha to fix null pointer deref with glibc 2.17

* Mon Jan 14 2013 umeabot <umeabot> 6.18.01-2.mga3
+ Revision: 384192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 18 2012 kamil <kamil> 6.18.01-1.mga2
+ Revision: 210182
- new version 6.18.01

* Mon Jan 23 2012 kamil <kamil> 6.18.00-1.mga2
+ Revision: 199962
- use %%_add_shell_helper and %%_del_shell_helper macros
- rediff
  o glibc_compat.patch
  o tinfo.patch
  o hist-sub.patch
  o ls-colors-var.patch (partly merged)
- temporarely disable unprintable.patch (it needs more investigation)
- drop terminos.patch and str-fmt.patch
- new version 6.18.00

* Sun Jan 09 2011 blino <blino> 6.17-2.mga1
+ Revision: 3339
- imported package tcsh

